<template>
    <div class="info-user-container">
        <h2 class="text-centered">profil de {{ user.name }}</h2>
        <FollowButton
            :user="user"
        />
    </div>
    <CountFollowers
        :user="user"
    />

    <!-- <img src=" {{user.image}} " alt=""> -->

    <div class="separator"></div>
    <div class="container-loop">
        <div v-for="imageUser in userImages" :key="imageUser" class="img-container">
            <img :src="'http://localhost:3500/api/srcImage/' + imageUser._id" alt="" class="img-user">
        </div>
    </div>
    <p class="text-centered">{{ noImage }}</p>

</template>

<script>
/* eslint-disable */
    import axios from 'axios';
    const store = useStore();
    import {useRoute} from 'vue-router';
    import FollowButton from '@/components/FollowButton.vue';
    import { useStore } from '../store/store';
    import CountFollowers from '@/components/CountFollowers.vue';

    export default {
        name: 'Profil',

    components: {
    FollowButton,
    CountFollowers,
},
        
        data(){
            return {
                userImages: [],
                noImage: "",
            }
        },


        mounted(){
            const route = useRoute();
            axios.get('http://localhost:3500/api/user/images/profil/' + route.params.id)
            .then(response => {
                // console.log(response.data)
                if(response.data.length > 0){
                    let images = response.data;
                    console.log(typeof this.userImages)

                    // map dans les images pour les push dans la vue
                    images.map(image =>{
                        this.userImages.push(image)
                        console.log(this.userImages)
                    })
                }   
                if(response.data.length == 0){
                    this.noImage = "Cet utilisateur n'a pas encore posté d'image"
                }
            })
            .catch(error => {
                console.log(error)
            });

        },


        computed: {
        // ...mapState(useStore, ['users'])    
            user(){
                return store.getUserById(this.$route.params.id);
            }, 
            userImage(){
                return store.getUserImage(this.$route.params.id);
            }

        },
        methods: {
        }

    }

</script>

<style scoped>

    .separator{
        margin-top: 20px;
        margin-bottom: 20px;
        width: 50%;
        height: 1px;
        background: grey;
        align-self: center;
    }
    .container-loop{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        width: 70%;
        align-items: center;
        align-self: center;
        margin-top: 20px;
        flex-basis: 33.333333%;
    }
    .img-user{
        width: 200px;
        height: 200px;
    }
    .img-container{
        margin-right: 2rem;
        margin-bottom: 2rem;
    }
    .text-centered{
        text-align: center;
    }
    .info-user-container{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

</style>